QCAT - Task #730

User Story # 636 (Closed): Review/Approval Workflow

Edit view (original / modified)
01 Dec 2015 10:59 - Lukas Vonlanthen

Status: Closed Start date: 01 Dec 2015
Priority: High Due date:

Assignee: Lukas Vonlanthen % Done: 0%
Category: Estimated time: 0.00 hour
Target version: QCAT v0.9 - Second Beta Spent time: 0.00 hour
Resolution:

Description

In the edit process, there should sometimes be two entry boxes:

o | eft: Original entry

¢ Right: Edited entry

This is to be used in several scenarios:

Editors and Compiler:

e The original content (by the compiler) is in the field on the left

The edited content (edited by the editors) is in the field on the right
Only the field on the right can be edited
Editors make the changes in the field on the right, if there are multiple editors, they are all editing the same content.

The compiler can set the edited content as the new original content (he can edit in the field on the right or select to discard all

changes (use original content on left)

Reviewer (or Publisher) and Compiler:

* The reviewer sees the submitted content in the field on the left
¢ The reviewer can make changes in the field on the right

¢ The compiler can then accept the changes (the edited content) or add his own edits to the field on the right

Translators

e The translators see the original content in the fields on the left
e The translators can translate in the fields on the right.

Specification:

e Form is mirrored (left: original content, right: edited content) -> By default two columns or only if edits are being made?
¢ Only right form is editable
e Comments can be added per question

History

#1 - 07 Jan 2016 16:13 - Lukas Vonlanthen

- Tracker changed from Feature to Task

#2 - 07 Jan 2016 16:14 - Lukas Vonlanthen
- Target version changed from QCAT Core for UNCCD Testing to QCAT v0.9 - Second Beta

#3 - 07 Jan 2016 16:15 - Lukas Vonlanthen

- Status changed from New to Resolved

#4 - 21 Jan 2016 16:17 - Sebastian Manger

- Status changed from Resolved to Feedback
#5 - 21 Jan 2016 16:19 - Sebastian Manger

- Status changed from Feedback to Resolved

#6 - 09 Feb 2016 11:51 - Kurt Gerber
- Priority changed from Normal to High

#7 - 29 Mar 2016 18:28 - Kurt Gerber

What is the status quo? Done?

#8 - 30 Mar 2016 09:47 - Lukas Vonlanthen

First parts were implemented (if there is an old version, it can be opened in a separate window), with corresponding markers in the form. However,
feedback from the internal testing round showed that this was not clear to all the users and better explanations are needed. Because of time
limitations, | turned this feature off for the moment, as to not confuse further (external) testers.

More discussion is needed.

#9 - 07 Apr 2016 10:15 - Kurt Gerber

- Status changed from Resolved to Closed
